Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007659ScribusStory Editor / Text Framespublic2008-12-13 13:582011-12-30 17:32
ReporterjegHegy 
Assigned Tofschmid 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSUbuntuOS Version8.10
Product Version1.3.5svn 
Target Version1.6 milestoneFixed in Version1.5.0svn 
Summary0007659: Page numbering disappears when Text Frame is attached to Path
DescriptionSee summary.
Steps To Reproduce1. Make a new document.
2. Make a Text Frame, double-click to edit, Insert > Character > Page Number.
3. Make a path using the Bezier Curve tool, select both the Path and the Text Frame.
4. Item > Attach Text to Path.
5. Page numbering disappears.

Optionally, at step 2, enter some text around the Page Number, it will be attached to the path properly (apart from bug 0007658) and only the Page Number will disappear from the frame.
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0020777)
jghali (administrator)
2008-12-13 14:13

That one may be an easy fix, currently SpecialChars::PAGENUMBER are intentionally skipped when performing text on path layout, no idea why tho.
(0024159)
avox (administrator)
2010-06-20 17:09

I'm afraid that's going to be no-fix for <= 1.4

Rotation+offsets are stored in the ScText structure, but page numbers may have more than one glyphs, thus needing more than one rotation+offsets. Won't be a problem with new text code in 1.5.

- Issue History
Date Modified Username Field Change
2008-12-13 13:58 jegHegy New Issue
2008-12-13 14:13 jghali Note Added: 0020777
2009-10-05 00:10 christoph_s Status new => confirmed
2009-10-05 00:10 christoph_s Target Version => 1.3.6
2010-01-07 00:27 cbradney Target Version 1.3.6 => 1.3.7
2010-05-27 00:30 cbradney Target Version 1.3.7 => 1.3.8
2010-06-19 13:10 avox Status confirmed => assigned
2010-06-19 13:10 avox Assigned To => avox
2010-06-20 17:09 avox Note Added: 0024159
2010-06-20 17:09 avox Target Version 1.3.8 => 1.6 milestone
2011-11-25 19:13 fschmid Assigned To avox => fschmid
2011-11-25 19:13 fschmid Status assigned => resolved
2011-11-25 19:13 fschmid Fixed in Version => 1.5.0svn
2011-11-25 19:13 fschmid Resolution open => fixed
2011-12-30 17:32 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker